#ifndef TRIGGERMODEL_H
#define TRIGGERMODEL_H

#include <QAbstractListModel>
#include "../loader.h"

class TriggerModel : public QAbstractListModel
{
	Q_OBJECT
public:
	explicit TriggerModel(QList <tbTrigger> triggers, QObject *parent = 0);
	int rowCount(const QModelIndex &parent = QModelIndex()) const;
	QVariant data(const QModelIndex &index, int role) const;
	void refresh(QList <tbTrigger> triggers);
signals:

public slots:
private:
		QList <tbTrigger> triggers;
};

#endif // TRIGGERMODEL_H
